# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Public Member Functions | Protected Member Functions | Private Attributes
dirac::MemoryStreamInput Class Reference

`#include <pic_io.h>`

List of all members.

## Classes
class | InputMemoryBuffer
| Class that defines the Input Stream Memory Buffer. More...

## Public Member Functions
| MemoryStreamInput (SourceParams &sparams, bool field_input)
| Constructor.
| ~MemoryStreamInput ()
| Destructor.
SourceParams & | GetSourceParams ()
void | SetMembufReference (unsigned char *buf, int buf_size)
| Set Memory buffer.
StreamPicInput * | GetStream ()
| Return the input stream.

## Protected Member Functions
| MemoryStreamInput (const MemoryStreamInput &)
| Body-less copy constructor.
MemoryStreamInput & | operator= (const MemoryStreamInput &)
| Body-less assignment operator.

## Private Attributes
InputMemoryBuffer | m_membuf
| Input stream buffer.
StreamPicInput * | m_inp_str
| Input Stream Object.
std::istream * | m_ip_pic_ptr
| Input stream.

## Detailed Description

Class for reading picture data from memory

## Constructor & Destructor Documentation

dirac::MemoryStreamInput::MemoryStreamInput | ( | SourceParams & | sparams,
|  | bool | field_input
| ) |  |

Create a MemoryStreamInput object

Parameters:

  sparams | Source parameters
  field_input | Treat input as fields, not frames

dirac::MemoryStreamInput::~MemoryStreamInput | ( |  | ) |

dirac::MemoryStreamInput::MemoryStreamInput | ( | const MemoryStreamInput & |  | ) |
| protected

## Member Function Documentation

SourceParams& dirac::MemoryStreamInput::GetSourceParams | ( |  | ) |
| inline

References dirac::StreamPicInput::GetSourceParams(), and m_inp_str.

StreamPicInput* dirac::MemoryStreamInput::GetStream | ( |  | ) |
| inline

References m_inp_str.

MemoryStreamInput& dirac::MemoryStreamInput::operator= | ( | const MemoryStreamInput & |  | ) |
| protected

void dirac::MemoryStreamInput::SetMembufReference | ( | unsigned char * | buf,
|  | int | buf_size
| ) |  |

Set the input memory buffer variables

Parameters:

  buf | Input Buffer to read data from
  buf_size | Input buffer size

## Member Data Documentation

StreamPicInput* dirac::MemoryStreamInput::m_inp_str
| private

Referenced by GetSourceParams(), and GetStream().

std::istream* dirac::MemoryStreamInput::m_ip_pic_ptr
| private

InputMemoryBuffer dirac::MemoryStreamInput::m_membuf
| private

The documentation for this class was generated from the following file:

- pic_io.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.